Subject: RE: B20.1: It takes hitting RET key twice to make select() recogn ize input from stdin
From: "Lincoln, W. Terry" <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Cc: "'Cygwin Mailing List'" <[email-masked]>
Date: Fri, 21 May 1999 12:23:28 -0400

BTW,

I am using B20 and the problem you mention has always existed for as long as
I have used it.

W. Terry Lincoln - Senior Engineer                 \     \   _   /
Ultimate Technology Corporation                     \     \ |J| /
a Tridex Company (NASDAQ:trdx)                       \     _|E|_
ICQ# 39362285 <http://wwp.icq.com/39362285>           \   |_ S _|
Email:   <mailto:[email-masked]>           \    |U|
WWW1:  <http://www.AngelFire.com/ny/TerryLincoln>       \ / |S| \
WWW2:  <http://www.geocities.com/Eureka/Concourse/7326>  \  | |
================================================ ~~~~~
Opinions expressed do not represent the management of UTC.

> -----Original Message-----
> From: Kazuhisa Ichikawa [mailto:[email-masked]]
> Sent: Friday, May 21, 1999 10:42 AM
> To: [email-masked]
> Subject: B20.1: It takes hitting RET key twice to make select()
> recognize input from stdin
> 
> 
> 
> Hi,
> 
> Under cygwin b20.1, select() does not correctly detect input 
> from stdin. That is,
> if I type a character and hit RET key once, select() returns 
> 0 as the number of
> bits set in the bit masks. If I hit the RET key the second 
> time, select()
> correctly returns 1.
> 
> To reproduce the problem, just compile the attached test case 
> and run it as:
> 
>         gcc -g -o select_test.exe select_test.c
>         ./select_test.exe
> 
> This same program, when compiled and run on Solaris 2.5.1, 
> behaves correctly. That
> is, select() correctly returns 1 when I type a character and 
> hit RET key once. I
> don't have to hit RET key twice.
> 
> Here is the output from cygcheck -s -v -r under my cygwin environment:
> 
 8< snip 8< snip 8<
> -- 
> Kazuhisa Ichikawa
> Kawasaki Japan
> [email-masked]
> 

--
Want to unsubscribe from this list?
Send a message to [email-masked]